Subject: Re: [nemo] about draft-ietf-nemo-requirements-00.txt

From: Erik Nordmark <[email-masked]>
Date: Sun, 16 Mar 2003 19:07:31 +0100 (CET)

> I think i misunderstood your initial statement where you said that "I
> *think* the statement should be about the Nemo solution not *preventing*
> any form of multihoming, including when there are multiple home
> prefixes..."
> 
> I thought that we were considering the case of a multi-homed home
> network i.e. the site that contains the HA is multihomed, so the mobile
> network is just another network within the site and the NEMO solution
> should not prevent that the site multi-homing solution adopted works
> properly. 
> (My answer to that is that i agree but there are no solutions for site
> multi-homing available right now)

Sure there are - they are just far from ideal.
IPv6 site multihoming can be done today the same way as in IPv4 - far from
ideal because of scaling implications. We want something better for the size 
internet we are likely to see during the lifetime of IPv6.
And IPv6 site multihoming can be done by having multiple prefixes resulting
multiple addressses for every host. ALso far from ideal because the hosts
and applications need to do address selection and there is a loss of policy
control that exists when one prefix is used for the site.
Thus there are no existing solutions to IPv6 multihoming which have reached
nirvana status.
But anyhow, I don't understand what your statements about the status of
IPv6 multihoming are revelant to Nemo.

  Erik

---

From: marcelo bagnulo <[email-masked]>
Date: 17 Mar 2003 10:59:02 +0100

> IPv6 multihoming are revelant to Nemo.
I guess i was trying to understand what solutions did you had in mind
when you suggested that NEMO shouldn't prevent any form of multi-homing.
I think i do now,

regards, marcelo

-- 
marcelo bagnulo <[email-masked]>
uc3m